Bug 1509386 - Review Request: polarsys-b612-fonts - A typeface designed for reading comfort and safety in aeroplane cockpits
Summary: Review Request: polarsys-b612-fonts - A typeface designed for reading comfort...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 16:42 UTC by Peter Oliver
Modified: 2017-12-19 21:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:48:12 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Peter Oliver 2017-11-03 16:42:22 UTC
Spec URL: https://pagure.io/polarsys-b612-fonts/raw/master/f/polarsys-b612-fonts.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/polarsys-b612-fonts/fedora-rawhide-x86_64/00657690-polarsys-b612-fonts/polarsys-b612-fonts-1.002-1.20170320gitf4ce1fd.fc28.src.rpm
Description: Commissioned by Airbus and designed by Intactile Design, B612 is a digital font intended to be used in an aeronautical context. B612 is built with legibility as it’s core: every character is designed to be highly recognizable even in critical reading conditions. B612 drawing has been optimized for screen display, and full hinting has been added to all sizes of alpha numeric characters.
Fedora Account System Username: mavit

Comment 1 Artur Iwicki 2017-11-03 18:20:51 UTC
>Group: User Interface/X
> [...] 
>%clean
The "Group:" tag and "%clean" section should not be used.
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

>Source0: %{name}-%{version}-%{gitcommit}.tar.xz
It's preferred for this to be a downloadable URL. 
https://fedoraproject.org/wiki/Packaging:SourceURL

Please check if the following will work for Source0:
http://git.polarsys.org/c/b612/b612.git/snapshot/b612-%{gitcommit}.tar.gz

Comment 2 Peter Oliver 2017-11-03 22:42:20 UTC
(In reply to Iwicki Artur from comment #1)

> The "Group:" tag and "%clean" section should not be used.
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

Thanks.  I have updated https://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts to reflect this, and notice that bug #1271620 is already open against /etc/rpmdevtools/spectemplate-fonts-partial-multi.spec.

> Please check if the following will work for Source0:
> http://git.polarsys.org/c/b612/b612.git/snapshot/b612-%{gitcommit}.tar.gz

Indeed it does.  Splendid!

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/polarsys-b612-fonts/fedora-rawhide-x86_64/00657824-polarsys-b612-fonts/polarsys-b612-fonts-1.002-2.20170320gitf4ce1fd.fc28.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-11-09 20:18:24 UTC
> %defattr(0644,root,root,0755)
Most likely this is not needed.

> rm -fr %{buildroot}
Not needed [https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections].

Comment 5 R P Herrold 2017-11-17 20:28:45 UTC
grammatical error:
   as it’s core
should probably not be the contraction for: 
   it is

but rather:
   its

Comment 6 Peter Oliver 2017-11-19 23:28:28 UTC
(In reply to R P Herrold from comment #5)
> grammatical error:
>    as it’s core

Fixed in Git master.  Thanks.

Comment 7 Zbigniew Jędrzejewski-Szmek 2017-11-20 09:43:10 UTC
Looks good in general, but I'm not sure about the licensing.
> License:        EPL and BSD

It would seem that the fonts are under EPL. Please add a comment in the spec file explaining what is licensed under which license [see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios].

Comment 8 Peter Oliver 2017-12-08 11:40:11 UTC
I've added a comment regarding the licences.

I updated to the latest version, 1.003, which has corrected metadata and a different file layout, allowing the packaging to be simplified a little.

I've also included the leaflet explaining the development of the fonts, in a doc subpackage.

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mavit/polarsys-b612-fonts/fedora-rawhide-x86_64/00685719-polarsys-b612-fonts/polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc28.src.rpm

Comment 9 Zbigniew Jędrzejewski-Szmek 2017-12-08 12:21:25 UTC
+ package name is OK
+ latest version
+ license is acceptable for Fedora (EPL+BSD)
+ license is specified correctly
+ builds and installs OK
+ provides/requires/buildrequires look OK
+ rpmlint and fedora-review are OK with the result

Package is APPROVED.

Comment 10 Gwyn Ciesla 2017-12-08 17:07:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/polarsys-b612-fonts. You may commit to the branch "f27" in about 10 minutes.

Comment 11 Fedora Update System 2017-12-10 13:16:30 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43123347f9

Comment 12 Fedora Update System 2017-12-10 13:17:08 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3be157dd96

Comment 13 Peter Oliver 2017-12-10 13:18:20 UTC
Thanks for the review!

Comment 14 Nicolas Mailhot 2017-12-10 13:46:51 UTC
Many thanks to everyone that contributed to the packaging of this font set !

Comment 15 Fedora Update System 2017-12-10 21:48:42 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43123347f9

Comment 16 Fedora Update System 2017-12-11 00:19:12 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3be157dd96

Comment 17 Fedora Update System 2017-12-19 19:48:12 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-12-19 21:35:21 UTC
polarsys-b612-fonts-1.003-1.20171129gitbd14fde.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.